Atsisiųskite naujausią „Logitech QuickCam“ tvarkyklę.

Prieš diegiant šią programinę įrangą reikia įdiegti „DirectX 9.x“ arba naujesnę versiją ir „Internet Explorer 5.5“ arba naujesnę versiją.